dnl Process this file with autoconf to produce a configure script.
AC_INIT(airmass.c)

dnl prepare automake
AM_INIT_AUTOMAKE(photom,0.3)

dnl Checks for programs.
AC_PROG_CC

dnl Checks for libraries.
dnl Replace `main' with a function in -lm:
AC_CHECK_LIB(m, main)
AC_CHECK_LIB(gslcblas, main)
AC_CHECK_LIB(gsl, main)

dnl Checks for header files.
AC_HEADER_STDC

dnl Check for the GSL header files
AC_CHECK_HEADER(gsl/gsl_math.h,,[
   AC_MSG_ERROR(include file gsl_math.h missing; please install GSL package)])

dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST

dnl Checks for library functions.
AC_FUNC_VPRINTF

AC_OUTPUT(Makefile)
